Apps building with Xcode 4.2 could not be installed in iPhone 3G

I create a brand new Single View Application iPhone app in Xcode 4.2, it only shows the gray screen.

When I build the app, I get the warning:

BWARN]warning: iPhone apps with a deployment target lower than 4.3 should include an armv6 architecture (current IPHONEOS_DEPLOYMENT_TARGET = "3.0", ARCHS = "armv7").

I followed this SO , this SO and this SO to fix the warning.

My build settings are:

  • Architectures: armv6, armv7
  • Base SDK: Latest iOS (iOS 5.0)
  • iOS Deployment Target: iOS 3.0

The Required device capabilities values in the Info.plist are armv6, armv7.

I make an Ad Hoc distribution of the app (this app only shows a gray screen) and put it on iTunes.

  1. When I installed the app into 2 iPhone4 (one having iOS 4, one having iOS 5), it works fine.
  2. When I installed the app into iPhone 3GS (having iOS 4), it works fine.
  3. But when I try to install the app into 2 iPhone 3G (one having iOS 4.2.1, one having iOS 3.0), the app was not installed and I received this message.

The app "SingleViewApplication" was not installed on the iPhone XXXXX because it is not compatible with this iPhone.

Do you know how to make iPhone 3G be able to run apps build with Xcode 4.2?

Answers


So I delete the Required device capabilities entry in the Info.plist and the app can be installed in iPhone 3G.


Need Your Help

Django Query Question

django django-models django-queryset

I'm trying to query an object and when I hard code the value it works but when I use a variable for it the query doesn't work.

Jquery Cookie plugin, check to see if cookie is unset

javascript jquery jquery-plugins cookies

So Im using the jquery cookie plugin and I need to check if a cookie is unset. I set it up something like this: